Subject: IAB submits ICANN performance evaluation

From: "IAB Chair" <[email-masked]>
Date: Sun, 18 Dec 2011 10:48:19 -0800

The IAB has submitted its evaluation of ICANN performance with respect to
the IANA Protocol Parameter function as well as .arpa zone management.  For
more details, see:
http://www.iab.org/2011/12/18/iab-submits-icann-performance-evaluation/